Installationsproblem mit pyPgSQL

Probleme bei der Installation?
Antworten
philippjosefrichard
User
Beiträge: 8
Registriert: Freitag 3. Februar 2006, 06:28

Donnerstag 10. August 2006, 09:34

Hallo Schlangenbeschwoerer!

Betriebssystem FC5
python-2.4.2-3.2.1
python-devel-2.4.2-3.2.1
gtk+-1.2.10-50


Habe runtergeladen: pyPgSQL-2.5.1.tar.gz
Im REDME-File steht:
b. Edit the setup.py file to reflect the your environment. The setup.py file
contains comments regarding USE_CUSTOM to guide you in customizing this file.

Das verstehe ich nicht. Was muss ich mit USE_CUSTOM machen?

Im setup.py finde ich:
"
# Pretty much the same effect is now |
# reached by the USE_CUSTOM variable with which users |
# can override the platform detection. "

sonst finde ich kein USE_CUSTOM im setup.py

Mit dieser Erkl{rung komme ich nicht zurecht bei der Installation.

Wohl deshalb macht der n{chste Punkt Probleme:
Execute ``python setup.py build`` to build the extension module.

Der erste Fehler aus der unten beigelegten Fehlerliste:

libpqmodule.c:78:20: Fehler: Python.h: Datei oder Verzeichnis nicht gefunden


Hat jemand eine Idee, was da falsch ist? Er finden einen python Haeder nicht,
was wohl an einem falschen Pfad liegen wird.


Danke f}r Tips
Philipp

=========================Fehlerliste=========================


erwin@anmeldung pyPgSQL-2.5.1]$ python setup.py build
sh: pg_config: command not found
sh: pg_config: command not found
running build
running build_py
creating build
creating build/lib.linux-i686-2.4
creating build/lib.linux-i686-2.4/pyPgSQL
copying pyPgSQL/__init__.py -> build/lib.linux-i686-2.4/pyPgSQL
copying pyPgSQL/PgSQL.py -> build/lib.linux-i686-2.4/pyPgSQL
creating build/lib.linux-i686-2.4/pyPgSQL/libpq
copying pyPgSQL/libpq/__init__.py -> build/lib.linux-i686-2.4/pyPgSQL/libpq
running build_ext
building 'pyPgSQL.libpq.libpqmodule' extension
creating build/temp.linux-i686-2.4
creating build/temp.linux-i686-2.4/port
gcc -pthread -fno-strict-aliasing -DNDEBUG -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOU
RCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32
-march=i386
-mtune=generic -fasynchronous-unwind-tables -D_GNU_SOURCE -fPIC -fPIC -I
-I/usr/
include/python2.4 -c libpqmodule.c -o build/temp.linux-i686-2.4/libpqmodule.o
libpqmodule.c:78:20: Fehler: Python.h: Datei oder Verzeichnis nicht gefunden
libpqmodule.c:79:26: Fehler: structmember.h: Datei oder Verzeichnis nicht
gefunden
Antworten